Defines | Functions | Variables

# airporttiles.h File Reference

Tables with airporttile defaults. More...

Go to the source code of this file.

## Defines
#define | AT(num_frames, anim_speed) {{num_frames, ANIM_STATUS_LOOPING, anim_speed, 0}, STR_NULL, 0, 0, true, GRFFileProps(INVALID_AIRPORTTILE)}
| Writes all airport tile properties in the AirportTile struct.
#define | AT_NOANIM {{0, ANIM_STATUS_NO_ANIMATION, 2, 0}, STR_NULL, 0, 0, true, GRFFileProps(INVALID_AIRPORTTILE)}
| Writes an airport tile without animation in the AirportTile struct.
## Functions
| assert_compile (NEW_AIRPORTTILE_OFFSET==lengthof(_origin_airporttile_specs))
## Variables
static const AirportTileSpec | _origin_airporttile_specs []
| All default airport tiles.

## Detailed Description

Tables with airporttile defaults.

Definition in file airporttiles.h.

## Variable Documentation

const AirportTileSpec _origin_airporttile_specs[]`[static]`

All default airport tiles.

See also:
  AirportTiles for a list of names.

Definition at line 24 of file airporttiles.h.

Referenced by AirportTileSpec::ResetAirportTiles().